rte_memseg(3)

NAME
rte_memseg

SYNOPSIS

#include <rte_memory.h>

  Data Fields

rte_iova_t iova
size_t len
uint64_t hugepage_sz
int32_t socket_id
uint32_t nchannel
uint32_t nrank
uint32_t flags

Detailed Description

Physical memory segment descriptor.

Definition at line 49 of file rte_memory.h.

Field Documentation

  rte_iova_t iova
Start IO address.

Definition at line 50 of file rte_memory.h.

  void* addr
Start virtual address.

Definition at line 52 of file rte_memory.h.

  uint64_t addr_64
Makes sure addr is always 64 bits

Definition at line 53 of file rte_memory.h.

  size_t len
Length of the segment.

Definition at line 55 of file rte_memory.h.

  uint64_t hugepage_sz
The pagesize of underlying memory

Definition at line 56 of file rte_memory.h.

  int32_t socket_id
NUMA socket ID.

Definition at line 57 of file rte_memory.h.

  uint32_t nchannel
Number of channels.

Definition at line 58 of file rte_memory.h.

  uint32_t nrank
Number of ranks.

Definition at line 59 of file rte_memory.h.

  uint32_t flags
Memseg-specific flags

Definition at line 60 of file rte_memory.h.

Author

Generated automatically by Doxygen for DPDK from the source code.